Nouvelles fonctionnalités de Talend Remote Engine R2023-10 - Cloud - 8.0

Notes de version de Talend

Version
Cloud
8.0
Language
Français
Product
Talend Big Data
Talend Big Data Platform
Talend Cloud API Services Platform
Talend Cloud Big Data
Talend Cloud Big Data Platform
Talend Cloud Data Integration
Talend Cloud Data Management Platform
Talend Cloud Real-Time Big Data Platform
Talend Data Fabric
Talend Data Integration
Talend Data Management Platform
Talend Data Services Platform
Talend ESB
Talend MDM Platform
Talend Real-Time Big Data Platform
Module
Studio Talend
Talend Cloud API Designer
Talend Cloud API Tester
Talend Cloud Data Inventory
Talend Cloud Data Preparation
Talend Cloud Data Stewardship
Talend Cloud Pipeline Designer
Talend Data Preparation
Talend Data Stewardship
Talend Management Console
Content
Installation et mise à niveau
Notes de version
Last publication date
2024-02-14

Talend Remote Engine v2.13 est généralement disponible, fournissant une sécurité améliorée de Java 17 et allégeant les préoccupations concernant la fin du support des anciennes versions de Java.

  • Prérequis pour Java 17 : comme annoncé précédemment, Java 17 est un prérequis obligatoire pour démarrer Talend Remote Engine v2.13.
  • Lorsque vous exécutez des Jobs ou des microservices, vous pouvez choisir d'utiliser la version 17 de Java par défaut, ou une plus ancienne.
    1. Lorsque vous utilisez la version 17 de Java par défaut pour exécuter des Jobs ou des microservices, construisez-les avec l'option add-opens pour vous assurer de la compatibilité avec Java 17. Cette option ouvre les packages nécessaires à la compatibilité avec Java 17, rendant vos Jobs ou microservices directement exécutables avec Talend Remote Engine v2.13.

      Pour plus d'informations concernant l'utilisation de cette option add-opens et ses limitations, consultez Configurer Java dans le Studio Talend.

    2. Si vous avez des Jobs ou des microservices construits avec d'anciennes versions de Java, comme Java 8 ou 11 et que vous ne souhaitez pas les reconstruire avec l'option add-opens, vous avez la possibilité de configurer les instances de la JVM avec la version 8 ou 11 de Java et de configurer Talend Remote Engine v2.13 pour qu'il utilise ces instances pour des exécutions spécifiques. Ainsi, vous n'avez pas besoin de reconstruire ces Jobs ou microservices. Pour plus d'informations concernant l'utilisation d'une version spécifique de Java pour exécuter certains de vos artefacts, consultez Spécifier une version de Java pour exécuter des Jobs ou des microservices.

Si vous utilisez Talend Runtime avec Talend Remote Engine, consultez cette page relative aux Engagements de support client pour connaître les détails de compatibilité entre Talend Runtime et Talend Remote Engine v2.13.

Talend Remote Engine v2.12 continuera à être supporté pendant 12 mois, jusqu'à la version R2024-10, pour une fin de vie prévue 18 mois plus tard, avec la version R2025-04. Ces différentes phases vous permettent d'effectuer une transition en douceur vers Java 17.

Prenez Talend Remote Engine en main avec le Guide d'utilisation de Talend Remote Engine.